Source: php-symfony-contracts
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-phpcomposer,
               jq,
               php-intl,
               php-psr-cache (>> 3),
               php-psr-container,
               php-psr-event-dispatcher,
               phpab,
               phpunit
Standards-Version: 4.7.0
Homepage: https://symfony.com/components/Contracts
Vcs-Git: https://salsa.debian.org/php-team/pear/php-symfony-contracts.git
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-symfony-contracts
Rules-Requires-Root: no

Package: php-symfony-contracts
Architecture: all
Depends: ${misc:Depends},
         ${phpcomposer:Debian-replace},
         ${phpcomposer:Debian-require}
Recommends: ${phpcomposer:Debian-recommend}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}
Provides: ${phpcomposer:Debian-provide}
Description: ${phpcomposer:description}
 Symfony Contracts can be used to build on semantics that the Symfony components
 proved useful - and that already have battle tested implementations.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-cache-contracts
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Recommends: ${phpcomposer:Debian-recommend}
Replaces: php-symfony-contracts (<< 1.1.5), ${phpcomposer:Debian-replace}
Breaks: php-symfony-contracts (<< 1.1.5),
        ${phpcomposer:Debian-conflict},
        ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: ${phpcomposer:description}
 Symfony Contracts can be used to build on semantics that the Symfony components
 proved useful - and that already have battle tested implementations.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-deprecation-contracts
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Recommends: ${phpcomposer:Debian-recommend}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: ${phpcomposer:description}
 Symfony Contracts can be used to build on semantics that the Symfony components
 proved useful - and that already have battle tested implementations.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-event-dispatcher-contracts
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Recommends: ${phpcomposer:Debian-recommend}
Replaces: php-symfony-contracts (<< 1.1.5), ${phpcomposer:Debian-replace}
Breaks: php-symfony-contracts (<< 1.1.5),
        ${phpcomposer:Debian-conflict},
        ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: ${phpcomposer:description}
 Symfony Contracts can be used to build on semantics that the Symfony components
 proved useful - and that already have battle tested implementations.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-http-client-contracts
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Recommends: ${phpcomposer:Debian-recommend}
Replaces: php-symfony-contracts (<< 1.1.5), ${phpcomposer:Debian-replace}
Breaks: php-symfony-contracts (<< 1.1.5),
        ${phpcomposer:Debian-conflict},
        ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: ${phpcomposer:description}
 Symfony Contracts can be used to build on semantics that the Symfony components
 proved useful - and that already have battle tested implementations.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-service-contracts
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Recommends: ${phpcomposer:Debian-recommend}
Replaces: php-symfony-contracts (<< 1.1.5), ${phpcomposer:Debian-replace}
Breaks: php-symfony-contracts (<< 1.1.5),
        ${phpcomposer:Debian-conflict},
        ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: ${phpcomposer:description}
 Symfony Contracts can be used to build on semantics that the Symfony components
 proved useful - and that already have battle tested implementations.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-translation-contracts
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Recommends: ${phpcomposer:Debian-recommend}
Replaces: php-symfony-contracts (<< 1.1.5), ${phpcomposer:Debian-replace}
Breaks: php-symfony-contracts (<< 1.1.5),
        ${phpcomposer:Debian-conflict},
        ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: ${phpcomposer:description}
 Symfony Contracts can be used to build on semantics that the Symfony components
 proved useful - and that already have battle tested implementations.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.
